Page MenuHomeSolus

Update Riot to 0.15.3
ClosedPublic

Authored by silke on May 22 2018, 11:30 AM.

Details

Summary
Test Plan

Install the application, send and receive few messages in a group chat

Diff Detail

Repository
R2816 riot
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

silke created this revision.May 22 2018, 11:30 AM
silke requested review of this revision.May 22 2018, 11:30 AM

Hey just discovered this package because of this change. Before installing the SC states 'Node.js' needs to be installed however Node.js is bundled with Electron right? Don't think`nodejs` should be a listed dependency.

silke added a comment.May 22 2018, 1:50 PM

@Siilwyn: no, Electron does not necessarily come bundled with Node.JS (it is a framework after all). Electron does depend on Node.JS, and is a dependency of Riot because Electron is bundled with the application.

Siilwyn added a comment.EditedMay 22 2018, 5:27 PM

@silke aha, thank you for your reply! I looked into the building step, most Electron apps package with for example https://github.com/electron-userland/electron-packager which Riot doesn't that's why. I don't want to install Node.js as a dependency as it might conflict with my Node.js version manager... Not sure though, either way I'll just stick with the website for now.

silke updated this revision to Diff 7449.May 29 2018, 10:21 AM

Update Riot to 0.15.4

JoshStrobl accepted this revision.Jun 4 2018, 3:41 PM
This revision is now accepted and ready to land.Jun 4 2018, 3:41 PM
This revision was automatically updated to reflect the committed changes.
Siilwyn removed a subscriber: Siilwyn.Jun 5 2018, 7:48 AM